﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SUPPLYCONBILL') 
 CREATE TABLE T_CONCS_SUPPLYCONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FFORMWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTBILL BIGINT DEFAULT 0 NOT NULL,
FPARTYB BIGINT DEFAULT 0 NOT NULL,
FCTRLMODE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SUPPLYCONBILL_L') 
 CREATE TABLE T_CONCS_SUPPLYCONBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SUPPLYCONCHGENTRY') 
 CREATE TABLE T_CONCS_SUPPLYCONCHGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHGENTRY_CHANGEBILL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SUPPLYCONTAXENTRY') 
 CREATE TABLE T_CONCS_SUPPLYCONTAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SUPPLYCONTAXENTRY_L') 
 CREATE TABLE T_CONCS_SUPPLYCONTAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONSETTLEBILL') 
 CREATE TABLE T_CONCS_CONSETTLEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FTOTALREQUESTORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALACTUALPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYABLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FTOTALDEDUCTORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALGUERDORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBAILORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBAILSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FTOTALREQUESTAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALACTUALPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYABLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALDEDUCTAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBAILAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALGUERDAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPARTYBID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONSETTLEBILL_L') 
 CREATE TABLE T_CONCS_CONSETTLEBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SETTLEDATAENTRY') 
 CREATE TABLE T_CONCS_SETTLEDATAENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVERIFYQTY BIGINT DEFAULT 0 NOT NULL,
FREPORTFLG CHAR(1) DEFAULT '0' NOT NULL,
FDATASTANDARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SETTLESUMENTRY') 
 CREATE TABLE T_CONCS_SETTLESUMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMTSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23) DEFAULT 0 NOT NULL,
FCONPAYITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SETTLETAXENTRY') 
 CREATE TABLE T_CONCS_SETTLETAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_SETTLETAXENTRY_L') 
 CREATE TABLE T_CONCS_SETTLETAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_STAGESETTLEBILL') 
 CREATE TABLE T_CONCS_STAGESETTLEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FTOTALSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_STAGESETTLEBILL_L') 
 CREATE TABLE T_CONCS_STAGESETTLEBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_STAGESETTLEENTRY') 
 CREATE TABLE T_CONCS_STAGESETTLEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSVERIFYREPORT CHAR(1) DEFAULT '0' NOT NULL,
FVERIFYQTY BIGINT DEFAULT 0 NOT NULL,
FDATASTANDARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_ESTCHGADJUSTBILL') 
 CREATE TABLE T_CONCS_ESTCHGADJUSTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMULTICURRENCY CHAR(1) DEFAULT '0' NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCONTRACTBILLLD BIGINT DEFAULT 0 NOT NULL,
FADJUSTORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSRCORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSRCAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FADJUSTAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_ESTCHGADJUSTBILL_L') 
 CREATE TABLE T_CONCS_ESTCHGADJUSTBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGAUDITBILL') 
 CREATE TABLE T_CONCS_CHGAUDITBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FURGENTDEGREE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FREFBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFBILLID BIGINT DEFAULT 0 NOT NULL,
FORICURRENCY BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGCFMBILL') 
 CREATE TABLE T_CONCS_CHGCFMBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCHGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSUCCESSAFTERFACT CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCHGAUDITID BIGINT DEFAULT 0 NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FURGENTDEGREE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGCFMTAXENTRY') 
 CREATE TABLE T_CONCS_CHGCFMTAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCHGBILL') 
 CREATE TABLE T_CONCS_CONCHGBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FURGENTDEGREE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FREFBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCHGTAXENTRY') 
 CREATE TABLE T_CONCS_CONCHGTAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGAUDITBILL_L') 
 CREATE TABLE T_CONCS_CHGAUDITBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGCFMBILL_L') 
 CREATE TABLE T_CONCS_CHGCFMBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHGCFMTAXENTRY_L') 
 CREATE TABLE T_CONCS_CHGCFMTAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCHGBILL_L') 
 CREATE TABLE T_CONCS_CONCHGBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCHGTAXENTRY_L') 
 CREATE TABLE T_CONCS_CONCHGTAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_INVOICEBILL') 
 CREATE TABLE T_CONCS_INVOICEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTBILL BIGINT DEFAULT 0 NOT NULL,
FHASRECEIPT CHAR(1) DEFAULT '0' NOT NULL,
FINVOICECODE NVARCHAR(12) DEFAULT ' ' NOT NULL,
FPURBANKACCOUNT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FINVOICETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO NVARCHAR(8) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FSALEORG BIGINT DEFAULT 0 NOT NULL,
FPURORG BIGINT DEFAULT 0 NOT NULL,
FPURDEPOSITBANK NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPURTELDECIMAL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALEBANKACCOUNT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALEDEPOSITBANK NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALETELDECIMAL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPAYREQBILL BIGINT DEFAULT 0 NOT NULL,
FREFBILLID BIGINT DEFAULT 0 NOT NULL,
FREFBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTANCYORGID BIGINT DEFAULT 0 NOT NULL,
FPURTAXPAYER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSALETAXPAYER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMTTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_INVOICEENTRY') 
 CREATE TABLE T_CONCS_INVOICEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRY_CONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRY_MODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRY_PRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FENTRY_NOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FENTRY_TAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FENTRY_TAXRATE BIGINT DEFAULT 0 NOT NULL,
FENTRY_UNIT BIGINT DEFAULT 0 NOT NULL,
FENTRY_QTY DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQBILL') 
 CREATE TABLE T_CONCS_PAYREQBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPREPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPREPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FRECEIVEUNITID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEBANKID BIGINT DEFAULT 0 NOT NULL,
FRECEIVENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEDEPARTID BIGINT DEFAULT 0 NOT NULL,
FNOCONTRACTFLAG CHAR(1) DEFAULT '0' NOT NULL,
FPAYDATE DATETIME,
FHASCLOSED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQBILL_C') 
 CREATE TABLE T_CONCS_PAYREQBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FREWARDDEDUCTORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALPAYEDCONORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALINVOICEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPREUNPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FREWARDDEDUCTAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALPAYEDCONAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTOTALINVOICETAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FINVOICEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FINVOICETAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FINVOICENOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDCONORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDCONAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPREUNPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQDATAENTRY') 
 CREATE TABLE T_CONCS_PAYREQDATAENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATASTDID BIGINT DEFAULT 0 NOT NULL,
FREPORTFLAG CHAR(1) DEFAULT '0' NOT NULL,
FVERIFYQTY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQDETAILENTRY') 
 CREATE TABLE T_CONCS_PAYREQDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPAYEDORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQINVENTRY') 
 CREATE TABLE T_CONCS_PAYREQINVENTRY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQREDEENTRY') 
 CREATE TABLE T_CONCS_PAYREQREDEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREWARDDEDUCTID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCT_F7') 
 CREATE TABLE T_CONCS_REWARDDEDUCT_F7 (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPAYITEMID BIGINT DEFAULT 0 NOT NULL,
FREFBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FORICURRENCY BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCTBILL') 
 CREATE TABLE T_CONCS_REWARDDEDUCTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDEPT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCTENTRY') 
 CREATE TABLE T_CONCS_REWARDDEDUCTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FPAYITEMID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_INVOICEBILL_L') 
 CREATE TABLE T_CONCS_INVOICEBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCAPITALAMOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPURADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALEADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSALEORGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQBILL_L') 
 CREATE TABLE T_CONCS_PAYREQBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPAYEDDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRECEIVEUNITNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PAYREQREDEENTRY_L') 
 CREATE TABLE T_CONCS_PAYREQREDEENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCT_F7_L') 
 CREATE TABLE T_CONCS_REWARDDEDUCT_F7_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCTBILL_L') 
 CREATE TABLE T_CONCS_REWARDDEDUCTBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_REWARDDEDUCTENTRY_L') 
 CREATE TABLE T_CONCS_REWARDDEDUCTENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUPPLIERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTCENTER') 
 CREATE TABLE T_CONCS_CONTRACTCENTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARTYBID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTORIPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGORIBALANCE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGBALANCE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FBIZDEPARTID BIGINT DEFAULT 0 NOT NULL,
FPAYEDCONAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FINVOICEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYEDCONORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTCENTER_L') 
 CREATE TABLE T_CONCS_CONTRACTCENTER_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYCNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTCENTER_S') 
 CREATE TABLE T_CONCS_CONTRACTCENTER_S (
FID BIGINT DEFAULT 0 NOT NULL,
FALLCHGORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FALLCHGAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FALLSUPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FALLSUPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FALLREWARDDEDUCTAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FALLREWARDDEDUCTORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTCENTER_P') 
 CREATE TABLE T_CONCS_CONTRACTCENTER_P (
FID BIGINT DEFAULT 0 NOT NULL,
FCHGSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FPAYSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FESTCHGSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FMARGINSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FPAYWARNSCALE DECIMAL(19,2) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYPLAN') 
 CREATE TABLE T_CONCS_CONPAYPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FCONREVISEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYPLANACTDATA') 
 CREATE TABLE T_CONCS_CONPAYPLANACTDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYMONTH BIGINT DEFAULT 0 NOT NULL,
FPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYPLANDATA') 
 CREATE TABLE T_CONCS_CONPAYPLANDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYMONTH BIGINT DEFAULT 0 NOT NULL,
FPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYPLANSCH') 
 CREATE TABLE T_CONCS_CONPAYPLANSCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FPAYSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPREFLUSHORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPREFLUSHAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISEBILL') 
 CREATE TABLE T_CONCS_CONREVISEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,2) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPARTYAID BIGINT DEFAULT 0 NOT NULL,
FPARTYBID BIGINT DEFAULT 0 NOT NULL,
FFIACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FVALUATIONMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDEPARTID BIGINT DEFAULT 0 NOT NULL,
FESTCHGTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTORIPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FHASSETTLED CHAR(1) DEFAULT '0' NOT NULL,
FVERSION DECIMAL(19,1) DEFAULT 0 NOT NULL,
FCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FREVISEDATE DATETIME,
FREVISEBYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISEBILL_C') 
 CREATE TABLE T_CONCS_CONREVISEBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FESTCHGSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYWARNSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISEBILL_D') 
 CREATE TABLE T_CONCS_CONREVISEBILL_D (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCONDOCFILEID BIGINT DEFAULT 0 NOT NULL,
FCONDOCURL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONDOCNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISEBILL_L') 
 CREATE TABLE T_CONCS_CONREVISEBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYCNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREVISEREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISECONTENT') 
 CREATE TABLE T_CONCS_CONREVISECONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISECONTENT_L') 
 CREATE TABLE T_CONCS_CONREVISECONTENT_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDALIAS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOLDVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNEWVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISEPARTYCS') 
 CREATE TABLE T_CONCS_CONREVISEPARTYCS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISETAXENTRY') 
 CREATE TABLE T_CONCS_CONREVISETAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONREVISETAXENTRY_L') 
 CREATE TABLE T_CONCS_CONREVISETAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTBILL') 
 CREATE TABLE T_CONCS_CONTRACTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMULTITAXRATEFLAG CHAR(1) DEFAULT '0' NOT NULL,
FFOREIGNCURRENCYFLAG CHAR(1) DEFAULT '0' NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPARTYAID BIGINT DEFAULT 0 NOT NULL,
FPARTYBID BIGINT DEFAULT 0 NOT NULL,
FFIACCOUNTORGID BIGINT DEFAULT 0 NOT NULL,
FVALUATIONMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDEPARTID BIGINT DEFAULT 0 NOT NULL,
FESTCHGTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTORIPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTPRICE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FLATESTTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FHASSETTLED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTBILL_C') 
 CREATE TABLE T_CONCS_CONTRACTBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FESTCHGSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FPAYWARNSCALE DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FMARGINAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTSETTLEAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FESTCHGNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTBILL_D') 
 CREATE TABLE T_CONCS_CONTRACTBILL_D (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCONDOCFILEID BIGINT DEFAULT 0 NOT NULL,
FCONDOCURL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONDOCNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTBILL_L') 
 CREATE TABLE T_CONCS_CONTRACTBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTYCNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTPARTYCS') 
 CREATE TABLE T_CONCS_CONTRACTPARTYCS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTTAXENTRY') 
 CREATE TABLE T_CONCS_CONTRACTTAXENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,4) DEFAULT 0 NOT NULL,
FNOTAXAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FORIAMT DECIMAL(19,4) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTTAXENTRY_L') 
 CREATE TABLE T_CONCS_CONTRACTTAXENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_DATASTANDARD_L') 
 CREATE TABLE T_CONCS_DATASTANDARD_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYPLAN_L') 
 CREATE TABLE T_CONCS_CONPAYPLAN_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_DATASTANDARD') 
 CREATE TABLE T_CONCS_DATASTANDARD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISREQUIRED CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHANGEREASON_L') 
 CREATE TABLE T_CONCS_CHANGEREASON_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCTRLSTAND_L') 
 CREATE TABLE T_CONCS_CONCTRLSTAND_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYITEM_L') 
 CREATE TABLE T_CONCS_CONPAYITEM_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYITEMENTRY') 
 CREATE TABLE T_CONCS_CONPAYITEMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERCENT DECIMAL(10,2) DEFAULT 0 NOT NULL,
FPAYITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTEMPLATE_L') 
 CREATE TABLE T_CONCS_CONTEMPLATE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTTYPE_L') 
 CREATE TABLE T_CONCS_CONTRACTTYPE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_ENTRYVARIABLE') 
 CREATE TABLE T_CONCS_ENTRYVARIABLE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVARIABLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVARIABLEKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVARIABLEVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVARIABLEMAP NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_PARAM') 
 CREATE TABLE T_CONCS_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FPROJECTLD BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPARAMESTCHGCTRL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMSUPPLYCTRLMODE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONCTRLSTAND') 
 CREATE TABLE T_CONCS_CONCTRLSTAND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHGCTRLSCALE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FMARGINSCALE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FDPAYWARNSCALE DECIMAL(23,2) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONPAYITEM') 
 CREATE TABLE T_CONCS_CONPAYITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEDUCTPROPERTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCITEM CHAR(1) DEFAULT '0' NOT NULL,
FCANMODIFYAMT CHAR(1) DEFAULT '1' NOT NULL,
FSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTEMPLATE') 
 CREATE TABLE T_CONCS_CONTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONTEMPDOCFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENTDOCNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCURRENTDOCURL NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CONTRACTTYPE') 
 CREATE TABLE T_CONCS_CONTRACTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CONCS_CHANGEREASON') 
 CREATE TABLE T_CONCS_CHANGEREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CONCS_table.sql **/
